;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;;
;;;; CMUCL 19e Patch 001:  Fix for Ticket #16
;;;;
;;;; Fix typo in load form for hash tables.

(in-package :lisp)

#+(and cmu19e (not cmucl-19e-patch-001))
(ext:without-package-locks
(defun make-hash-table-load-form (table)
  (values
   `(make-hash-table
     :test ',(hash-table-test table) :size ',(hash-table-size table)
     :rehash-size ',(hash-table-rehash-size table)
     :rehash-threshold ',(hash-table-rehash-threshold table)
     :weak-p ,(hash-table-weak-p table))
   (let ((values nil))
     (declare (inline maphash))
     (maphash #'(lambda (key value)
		  (push (cons key value) values))
	      table)
     (if values
	 `(stuff-hash-table ,table ',values)
	 nil))))
)

(pushnew :cmucl-19e-patch-001 *features*)

